# geos::index::strtree::Interval Class Reference

A contiguous portion of 1D-space. Used internally by SIRtree. More...

`#include <Interval.h>`

List of all members.

## Public Member Functions

| Interval (Interval *other)
| Interval (double newMin, double newMax)
double | getCentre ()
Interval * | expandToInclude (Interval *other)
bool | intersects (Interval *other)
bool | equals (void *o)

## Detailed Description

A contiguous portion of 1D-space. Used internally by SIRtree.

See also:
  SIRtree

The documentation for this class was generated from the following file:

- strtree/Interval.h